Requirements

You need an Android smartphone or tablet running Android 4.0 or higher. If you are using a Fire TV or Android TV device, please install the app dream Player for Fire TV (Amazon Appstore) or dream Player for Android TV (Google Playstore). This app is not optimized for TV usage.

 

To use this app you need an Android smartphone or tablet running Android 4.0 or higher.

You also need a receiver / set top box running Enigma2 / E2 OS:

  • dreambox
  • Marusys VU+ Solo, Solo2, Duo, Duo2, Ultimo
  • Gigablue
  • Xtrend
  • Telestar Starsat LX
  • and many more

You can use the original image of the Receiver. Custom images like openATV (recommended), VTi and many more are also supported.

Cookies make it easier for us to provide you with our services. With the usage of our services you permit us to use cookies.